Dialogs module - Defect #536

globals.DIALOGS.setDialogHeight() breaks buttons
07/23/2012 02:10 PM - Tony Stewart

Status: Closed Start date: 07/23/2012
Priority: Normal Due date:

Assignee: Robert Ivens % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1.1.4

Browser (if web Chrome, Safari, Firefox

client):

Description

It seems that setting globals.DIALOGS.setDialogHeight() stops the dialog buttons from working.

globals.DIALOGS.showWarningDialog('Warning dialog test', 'A Warning of some sort ', 'Cancel’, 'Do It Anyway')

globals.DIALOGS.setDialogHeight(120)

globals.DIALOGS.showWarningDialog('Warning dialog test', 'A Warning of some sort ', '‘Cancel’, 'Do It Anyway')

Buttons in the first dialog work, buttons in the second dialog don't.

Related issues:
Related to Dialogs module - Defect #539: globals.DIALOGS.setDialogHeight() br...

Closed

07/27/2012

History

#1 - 07/27/2012 11:58 AM - Robert Ivens

That's indeed an interesting one. | see the same in version 1.5 of the module.
It looks like it get confused with the Window object references. | will invesitigate a little further.

#2 - 07/27/2012 12:16 PM - Robert lvens

- Target version set to 1.5.2

#3 - 07/27/2012 12:20 PM - Robert lvens

- Target version changed from 1.5.2to 1.1.4

#4 - 08/02/2012 09:59 AM - Robert Ivens

- Assignee changed from Tony Stewart to Robert Ivens

#5 - 12/04/2012 09:05 PM - Robert Ivens
- Status changed from New to Closed

- % Done changed from 0 to 100

Fixedin 1.1.4

#6 - 12/04/2012 09:06 PM - Robert Ivens

- Status changed from Closed to Resolved

#7 - 02/09/2013 10:39 PM - Robert Ivens

- Status changed from Resolved to Closed
